{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des sous-traitant de l'application" %}

{% block pageActions %}
    {{ macro.addButton('app_soustraitant_add', 'Ajout', 'text-left') }}

    <br>

    {{ macro.associationMultipleButtonModal(
        'btn_association',
        'Associer un ou plusieurs sous-traitant à une ou plusieurs entité(s)',
        'app_soustraitant_association',
        form,
        soustraitants.currentPageNumber,
        'modal-associate',
        'multi_organisation_user',
        'fields'
    ) }}

    {{ macro.btnDeleteMultipleWithModal(
        'btn_deletemultiple',
        'Suppression plusieurs sous-traitant',
        'app_soustraitant_delete_multiple',
        'Voulez-vous vraiment supprimer ces sous-traitants ?',
        soustraitants.currentPageNumber
    ) }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Sous-traitant</th>
                <th scope="col">Représentant légale</th>
                <th scope="col">Information sur le DPO</th>
                <th scope="col">Entité(s) associée(s)</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for soustraitant in soustraitants %}
                <tr>
                    <th>
                        {% if (app.user.currentOrganisation not in soustraitant.organisations)  %}
                            {% set association = 'true' %}
                        {% else %}
                            {% set association = 'false' %}
                        {% endif %}

                        {% if (soustraitant.organisations is empty) %}
                            {% set delete = 'true' %}
                        {% else %}
                            {% set delete = 'false' %}
                        {% endif %}

                        <input id='checkbox-{{ soustraitant.id }}' type="checkbox"
                               class="js-checkbox allCheckbox" value="{{ soustraitant.id }}"
                               data-association="{{ association }}" data-deletemultiple="{{ delete }}">
                    </th>

                    <th>
                        {{ soustraitant.raisonsociale }}

                        {% if (soustraitant.siret is not empty) or (soustraitant.email is not empty) or (soustraitant.phone is not empty) %}
                            <ul>
                                {% if (soustraitant.siret is not empty) %}
                                    <li>Siret : {{ soustraitant.siret }}</li>
                                {% endif %}

                                {% if (soustraitant.email is not empty) %}
                                    <li>E-mail : {{ soustraitant.email }}</li>
                                {% endif %}

                                {% if (soustraitant.phone is not empty) %}
                                    <li>Téléphone : {{ soustraitant.phone }}</li>
                                {% endif %}
                            </ul>
                        {% endif %}
                    </th>

                    <th>
                        {% if (soustraitant.representant is not empty) %}
                            {{ soustraitant.representant.getNomcomplet }}

                            {% if (soustraitant.representant.function is not empty) or (soustraitant.representant.email is not empty) or (soustraitant.representant.phone is not empty) %}
                                <ul>
                                    {% if (soustraitant.representant.function is not empty) %}
                                        <li>Fonction : {{ soustraitant.representant.function }}</li>
                                    {% endif %}

                                    {% if (soustraitant.representant.email is not empty) %}
                                        <li>E-mail : {{ soustraitant.representant.email }}</li>
                                    {% endif %}

                                    {% if (soustraitant.representant.phone is not empty) %}
                                        <li>Téléphone fixe : {{ soustraitant.representant.phone }}</li>
                                    {% endif %}
                                </ul>
                            {% endif %}
                        {% endif %}
                    </th>

                    <th>
                        {% if (soustraitant.delegue is not empty) %}
                            {{ soustraitant.delegue.getNomcomplet }}

                            {% if (soustraitant.delegue.email is not empty) or (soustraitant.delegue.numberCnil is not empty) or (soustraitant.delegue.cellphone is not empty) or (soustraitant.delegue.phone is not empty) %}
                                <ul>
                                    {% if (soustraitant.delegue.email is not empty) %}
                                        <li>E-mail : {{ soustraitant.delegue.email }}</li>
                                    {% endif %}

                                    {% if (soustraitant.delegue.numberCnil is not empty) %}
                                        <li>Numéro CNIL : {{ soustraitant.delegue.numberCnil }}</li>
                                    {% endif %}

                                    {% if (soustraitant.delegue.cellphone is not empty) %}
                                        <li>Téléphone portable : {{ soustraitant.delegue.cellphone }}</li>
                                    {% endif %}

                                    {% if (soustraitant.delegue.phone is not empty) %}
                                        <li>Téléphone fixe : {{ soustraitant.delegue.phone }}</li>
                                    {% endif %}
                                </ul>
                            {% endif %}
                        {% endif %}
                    </th>

                    <th>
                        {% for organisation in soustraitant.organisations %}
                            <li>
                                {{ organisation.raisonsociale }}
                            </li>
                        {% endfor %}
                    </th>

                    <th>
                        {% if (soustraitant.organisations is empty) or is_granted('ROLE_SUPERADMIN') %}
                            {{ macro.editButton('app_soustraitant_edit', soustraitant.id) }}

                            {{ macro.deleteButtonModal(
                                soustraitant.id,
                                'Suppression du sous-traitant',
                                'app_soustraitant_delete',
                                'Voulez-vous vraiment supprimer le sous-traitant ?',
                                soustraitants.currentPageNumber
                            ) }}
                        {% endif %}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(soustraitants) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
